static void fill_out_procs(PlatformProcs *procs, void (*(*get_gl_proc)(char const *))(void)) {
	procs->get_gl_proc = get_gl_proc;
	// file system 
	procs->list_files = list_files;
	procs->mkdir = make_directory;
	// communication 
	procs->server_create = server_create;
	procs->server_check_for_client = server_check_for_client;
	procs->server_send = server_send;
	procs->server_recv = server_recv;
	procs->server_disconnect_from_client = server_disconnect_from_client;
	procs->server_destroy = server_destroy;
	procs->client_create = client_create;
	procs->client_is_connected = client_is_connected;
	procs->client_send = client_send;
	procs->client_recv = client_recv;
	procs->client_destroy = client_destroy;
	procs->comm_geterr = comm_geterr;
}
